<html>
<head>
<title>Ogre::CompositorLogic Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1CompositorLogic.html">CompositorLogic</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::CompositorLogic Class Reference<div class="ingroups"><a class="el" href="group__Effects.html">Effects</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::CompositorLogic" -->
<p>Interface for compositor logics, which can be automatically binded to compositors, allowing per-compositor logic (such as attaching a relevant listener) to happen automatically.  
 <a href="classOgre_1_1CompositorLogic.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreCompositorLogic_8h_source.html">OgreCompositorLogic.h</a>&gt;</code></p>

<p><a href="classOgre_1_1CompositorLogic-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorLogic.html#abaec84ca5c9b9c4f0f200596e0c90f05">compositorInstanceCreated</a> (<a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a> *newInstance)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called when a compositor instance has been created.  <a href="#abaec84ca5c9b9c4f0f200596e0c90f05"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorLogic.html#a9e2e7c3c5cf9818540ccfef36844d6ed">compositorInstanceDestroyed</a> (<a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a> *destroyedInstance)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called when a compositor instance has been destroyed.  <a href="#a9e2e7c3c5cf9818540ccfef36844d6ed"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorLogic.html#adb5d5a92b735eec00a40426bd91c4e8b">~CompositorLogic</a> ()</td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Interface for compositor logics, which can be automatically binded to compositors, allowing per-compositor logic (such as attaching a relevant listener) to happen automatically. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>All methods have empty implementations to not force an implementer into extending all of them. </dd></dl>

<p>Definition at line <a class="el" href="OgreCompositorLogic_8h_source.html#l00046">46</a> of file <a class="el" href="OgreCompositorLogic_8h_source.html">OgreCompositorLogic.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="adb5d5a92b735eec00a40426bd91c4e8b"></a><!-- doxytag: member="Ogre::CompositorLogic::~CompositorLogic" ref="adb5d5a92b735eec00a40426bd91c4e8b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1CompositorLogic.html#adb5d5a92b735eec00a40426bd91c4e8b">Ogre::CompositorLogic::~CompositorLogic</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCompositorLogic_8h_source.html#l00062">62</a> of file <a class="el" href="OgreCompositorLogic_8h_source.html">OgreCompositorLogic.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="abaec84ca5c9b9c4f0f200596e0c90f05"></a><!-- doxytag: member="Ogre::CompositorLogic::compositorInstanceCreated" ref="abaec84ca5c9b9c4f0f200596e0c90f05" args="(CompositorInstance *newInstance)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1CompositorLogic.html#abaec84ca5c9b9c4f0f200596e0c90f05">Ogre::CompositorLogic::compositorInstanceCreated</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a> *&#160;</td>
          <td class="paramname"><em>newInstance</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called when a compositor instance has been created. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This happens after its setup was finished, so the chain is also accessible. This is an ideal method to automatically attach a compositor listener. </dd></dl>

<p>Definition at line <a class="el" href="OgreCompositorLogic_8h_source.html#l00054">54</a> of file <a class="el" href="OgreCompositorLogic_8h_source.html">OgreCompositorLogic.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9e2e7c3c5cf9818540ccfef36844d6ed"></a><!-- doxytag: member="Ogre::CompositorLogic::compositorInstanceDestroyed" ref="a9e2e7c3c5cf9818540ccfef36844d6ed" args="(CompositorInstance *destroyedInstance)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1CompositorLogic.html#a9e2e7c3c5cf9818540ccfef36844d6ed">Ogre::CompositorLogic::compositorInstanceDestroyed</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a> *&#160;</td>
          <td class="paramname"><em>destroyedInstance</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called when a compositor instance has been destroyed. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>The chain that contained the compositor is still alive during this call. </dd></dl>

<p>Definition at line <a class="el" href="OgreCompositorLogic_8h_source.html#l00060">60</a> of file <a class="el" href="OgreCompositorLogic_8h_source.html">OgreCompositorLogic.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreCompositorLogic_8h_source.html">OgreCompositorLogic.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:55
</p>
</body>
</html>
